package com.bocloud.rpc.interfaces.ims;

import com.bocloud.acd.rpc.anno.RPCService;
import com.bocloud.common.enums.BoCloudService;

import java.util.List;

@RPCService(BoCloudService.IMS)
public interface ImsRpcService {
    /**
     * 同时预占用和释放IP
     * 不要用BocloudResult通信，BocloudResult是用来返回接口信息的，内部处理要扁平化，避免不必要的实体类，
     */
    void preemptOrFreeIp(List<String> ipsToPreempt, List<String> ipsToFree) ;
}
